<!DOCTYPE html>
<html>
 <head>
  <title>Importer Fichier Excel en Laravel</title>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" />
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
 </head>
 <body>
  <br />
  
  <div class="container">
   <h3 align="center">Importer Fichier Excel en Laravel</h3>
    <br />
   @if(count($errors) > 0)
    <div class="alert alert-danger">
     Upload Validation Error<br><br>
     <ul>
      @foreach($errors->all() as $error)
      <li>{{ $error }}</li>
      @endforeach
     </ul>
    </div>
   @endif

   @if($message = Session::get('success'))
   <div class="alert alert-success alert-block">
    <button type="button" class="close" data-dismiss="alert">×</button>
           <strong>{{ $message }}</strong>
   </div>
   @endif
   <form method="post" enctype="multipart/form-data" action="{{ url('/import_excel/import') }}">
    {{ csrf_field() }}
    <div class="form-group">
     <table class="table">
      <tr>
       <td width="40%" align="right"><label>Selectionner le fichier à importer</label></td>
       <td width="30">
        <input type="file" name="select_file" />
       </td>
       <td width="30%" align="left">
        <input type="submit" name="upload" class="btn btn-primary" value="Importer">
        <a class="btn btn-warning" href="{{ route('export') }}">Exporter</a>
       </td>
      </tr>
      <tr>
       <td width="40%" align="right"></td>
       <td width="30"><span class="text-muted">.xls, .xslx</span></td>
       <td width="30%" align="left"></td>
      </tr>
     </table>
    </div>
   </form>
   
   <br />
   <div class="panel panel-default">
    <div class="panel-heading">
     <h3 class="panel-title">Données CENI</h3>
    </div>
    <div class="panel-body">
     <div class="table-responsive">
      <table class="table table-bordered table-striped">
       <tr>
        <th>N°</th>
        <th>CENTRE_CODE</th>
        <th>REGION</th>
        <th>PREFECTURE</th>
        <th>COMMUNE</th>
        <th>CANTON</th>
        <th>LOCALITE</th>
        <th>CENTRE</th>
        <th>NBRE BV</th>
        <th>NUMERO BV</th>
        <th>LIBELE BV</th>
        <th>ELECTEURS</th>
        <th>REPRESENTATION  BV</th>
        <th>PARTI</th>
        <th>NOM & PRENOMS</th>
        <th>TELEPHONE</th>
       </tr>
       @foreach($data as $row)
       <tr>
        <td>{{ $row->numero }}</td>
        <td>{{ $row->centre_code }}</td>
        <td>{{ $row->region }}</td>
        <td>{{ $row->prefecture }}</td>
        <td>{{ $row->commune }}</td>
        <td>{{ $row->canton }}</td>
        <td>{{ $row->localite }}</td>
        <td>{{ $row->centre }}</td>
        <td>{{ $row->nombre_bv }}</td>
        <td>{{ $row->numero_bv }}</td>
        <td>{{ $row->libelle_bv }}</td>
        <td>{{ $row->nbre_electeur }}</td>
        <td>{{ $row->presentation }}</td>
        <td>{{ $row->parti }}</td>
        <td>{{ $row->nom_prenom }}</td>
        <td>{{ $row->telephone }}</td>
       </tr>
       @endforeach
      </table>
     </div>
    </div>
   </div>
  </div>
 </body>
</html>
